Bug 765431 - (GLUSTER-3699) [GlusterFS 3.3.0qa14] gluster volume info is getting into an infinite loop
[GlusterFS 3.3.0qa14] gluster volume info is getting into an infinite loop
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
pre-release
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-10-05 06:49 EDT by Vijaykumar
Modified: 2015-11-03 18:03 EST (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:59:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa45-1.el6.x86_64
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar 2011-10-05 06:49:03 EDT
Gluster volume create succeeds even though same volume name already present , after that if you try volume info , it will go into infinite loop. It is not consistent , but it has happened many times.

Volume Name: replicate_volume
Type: Replicate
Status: Started
Number of Bricks: 1 x 2 = 2
Transport-type: tcp
Bricks:
Brick1: 192.168.1.52:/home/vijay/export/exp1
Brick2: 192.168.1.52:/home/vijay/export/exp5
root@vostro:~/atf/shwetha/automation# gluster volume create replicate_volume replica 2 192.168.1.52:/home/vijay/export/exp1 192.168.1.52:/home/vijay/export/exp5
Multiple bricks of a replicate volume are present on the same server. This setup is not optimal.
Do you still want to continue creating the volume?  (y/n) y
Brick: 192.168.1.52:/home/vijay/export/exp1 already in use
root@vostro:~/atf/shwetha/automation# gluster volume create replicate_volume replica 2 192.168.1.52:/home/vijay/export/ex1 192.168.1.52:/home/vijay/export/ex5
Multiple bricks of a replicate volume are present on the same server. This setup is not optimal.
Do you still want to continue creating the volume?  (y/n) y
Creation of volume replicate_volume has been successful. Please start the volume to access data.
Comment 1 Amar Tumballi 2012-02-27 07:43:17 EST
please try with master (3.3.0qa24+ versions) and see if it happens again.
Comment 2 Amar Tumballi 2012-05-28 06:44:30 EDT
NeedInfo pending from last 3months. Please confirm, so we can close the bug. (ref: bug 786006 should have mostly fixed this issue.)
Comment 3 Gowrishankar Rajaiyan 2012-05-31 03:46:56 EDT
Unable to create volume with duplicate name.

[root@dhcp201-221 ~]# gluster volume create test1 dhcp201-214.englab.pnq.redhat.com:/export/shanks/shanks4
Volume test1 already exists
[root@dhcp201-221 ~]# 


==> /var/log/glusterfs/etc-glusterfs-glusterd.vol.log <==
[2012-05-31 15:45:46.636127] I [glusterd-volume-ops.c:83:glusterd_handle_create_volume] 0-glusterd: Received create volume req
[2012-05-31 15:45:46.636330] E [glusterd-volume-ops.c:116:glusterd_handle_create_volume] 0-glusterd: Volume test1 already exists


Verified: glusterfs-3.3.0qa45-1.el6.x86_64

Note You need to log in before you can comment on or make changes to this bug.